Binary

Binary resources are used to store and retrieve unstructured documents or raw content such as PDFs, images, or CDA files. These are often referenced via the Attachment.url field in other FHIR resources such as DocumentReference.

Use Cases

  • Retrieve original document content (e.g., scanned reports, C-CDA documents, PDFs, or images)
  • Access files attached to DocumentReference or DiagnosticReport

Access Pattern

To download a binary file: GET /fhir/R4/Binary/{id}

Example: GET /fhir/R4/Binary/4c4c925d60847d72f652c7f7

A valid Bearer token must be included in the request. Binary download URLs are protected and require authentication for access depending on configuration, some URLs may be time-limited or pre-signed.

Required Scope

The scope varies depending on the resource referencing the Binary. In most cases, the scope required is the same scope used to access the referencing resource (for example, patient.read or document.read).

For more information, go to: OAuth 2.0 Authentication